{% load static %} 
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Todo List</title>
</head>
<body>
    <main>
        <div>
            <h1>{{ details.name }}</h1>
                    <p><a href="{% url 'edit_todolist' details.id %}">Edit Name</a></p>
                    <p><a href="{% url 'delete_todolist' details.id %}">Delete List</a></p>
            <h2>Tasks</h2>
            <p><a href="{% url 'create_todolist_item' %}"> Create a new item</a></p>
            <table>
                <thead>
                    <tr>
                        <th>Task</th>
                        <th>Due Date</th>
                    </tr>
                </thead>
                <tbody>
                    {% for detail in details.items.all %}
                    <tr>
                        <td><a href="{% url 'todo_item_update' detail.id%}">{{detail.task}}</a></td>
                        <td>{{detail.due_date}}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
</body>
</html>